### Method

# SpiceClientGLib Channel destroy

deprecated: 0.27

#### Declaration [src]

    void
    spice_channel_destroy (
      SpiceChannel* channel
    )

#### Description [src]

Disconnect and unref the `channel`.

Deprecated since: 0.27

This function has been deprecated because it is misleading, the object is not actually destroyed. Instead, it is recommended to call explicitely `spice_channel_disconnect()` and g_object_unref().